# SwingRenderer
declaration: class: SwingRenderer

# Class SwingRenderer

java.lang.Object
GomokuRenderer
SwingRenderer

public class SwingRenderer extends GomokuRenderer

## Field Summary

Fields
Modifier and Type
Field
Description
`private RenderCanvas`
`canvas`
`private GomokuGame`
`game`
`private JFrame`
`mainFrame`

## Constructor Summary

Constructors
Constructor
Description
`SwingRenderer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`init(GomokuGame game)`
`static void`
`main(String[] args)`
`void`
`update()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mainFrame

private JFrame mainFrame

### game

private GomokuGame game

### canvas

private RenderCanvas canvas

## Constructor Details

### SwingRenderer

public SwingRenderer()

## Method Details

### main

public static void main(String[] args)

### init

public void init(GomokuGame game)

Specified by:
  `init` in class `GomokuRenderer`

### update

public void update()

Specified by:
  `update` in class `GomokuRenderer`